<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: Sources/caesar.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_937900b87e0c7a5fa01190c395fb83f7.html">Sources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">caesar.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>File containing encryption/decryption of a string in ceasar rotation.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="caesar_8h_source.html">caesar.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a70e436427fb04708dc012399df850752"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="caesar_8c.html#a70e436427fb04708dc012399df850752">encryptLine</a> (char *line)</td></tr>
<tr class="memdesc:a70e436427fb04708dc012399df850752"><td class="mdescLeft">&#160;</td><td class="mdescRight">Encrypts the string <code>line</code> through Caesar's rotation algorithm with an offset of 13.  <a href="#a70e436427fb04708dc012399df850752">More...</a><br /></td></tr>
<tr class="separator:a70e436427fb04708dc012399df850752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00960bfad8fdf39c819a12c276558177"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="caesar_8c.html#a00960bfad8fdf39c819a12c276558177">encryptLineSpec</a> (char *line, int spec)</td></tr>
<tr class="memdesc:a00960bfad8fdf39c819a12c276558177"><td class="mdescLeft">&#160;</td><td class="mdescRight">Encrypts the string <code>line</code> through Caesar's rotation algorithm with an offset of <code>spec</code>.  <a href="#a00960bfad8fdf39c819a12c276558177">More...</a><br /></td></tr>
<tr class="separator:a00960bfad8fdf39c819a12c276558177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5513129ed39cf49867a07cfd484dc78"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="caesar_8c.html#ab5513129ed39cf49867a07cfd484dc78">decryptLine</a> (char *line)</td></tr>
<tr class="memdesc:ab5513129ed39cf49867a07cfd484dc78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decrypts the string <code>line</code> wich was encrypted by Caesar's rotation algorithm with an offset of <code>13</code>.  <a href="#ab5513129ed39cf49867a07cfd484dc78">More...</a><br /></td></tr>
<tr class="separator:ab5513129ed39cf49867a07cfd484dc78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a566d3ebca4b82688c0486ab82c05e2b2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="caesar_8c.html#a566d3ebca4b82688c0486ab82c05e2b2">decryptLineSpec</a> (char *line, int spec)</td></tr>
<tr class="memdesc:a566d3ebca4b82688c0486ab82c05e2b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decrypts the string <code>line</code> wich was encrypted by Caesar's rotation algorithm with an offset of <code>spec</code>.  <a href="#a566d3ebca4b82688c0486ab82c05e2b2">More...</a><br /></td></tr>
<tr class="separator:a566d3ebca4b82688c0486ab82c05e2b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a3636bb4e7e4481e371f5b6ab40e6f6"><td class="memItemLeft" align="right" valign="top">char **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="caesar_8c.html#a1a3636bb4e7e4481e371f5b6ab40e6f6">LUT</a> (char *key)</td></tr>
<tr class="separator:a1a3636bb4e7e4481e371f5b6ab40e6f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>File containing encryption/decryption of a string in ceasar rotation. </p>
<dl class="section author"><dt>Author</dt><dd>Gabin Blot </dd></dl>
<dl class="section date"><dt>Date</dt><dd>24 Nov 2019</dd></dl>
<p>This file defines functions in order to encrypt and decrypt a string with the caesar rotation algorithm </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="ab5513129ed39cf49867a07cfd484dc78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5513129ed39cf49867a07cfd484dc78">&#9670;&nbsp;</a></span>decryptLine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int decryptLine </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>line</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Decrypts the string <code>line</code> wich was encrypted by Caesar's rotation algorithm with an offset of <code>13</code>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>Should be a <code>char</code> array address wich is ended by <code>\0</code> rotation algorithm </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>return</code> is <code>true</code> if the algorithm was successful otherwise it's <code>false</code> </dd></dl>

</div>
</div>
<a id="a566d3ebca4b82688c0486ab82c05e2b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a566d3ebca4b82688c0486ab82c05e2b2">&#9670;&nbsp;</a></span>decryptLineSpec()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int decryptLineSpec </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>spec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Decrypts the string <code>line</code> wich was encrypted by Caesar's rotation algorithm with an offset of <code>spec</code>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>Should be a <code>char</code> array address wich is ended by <code>\0</code> </td></tr>
    <tr><td class="paramname">spec</td><td>Should be an integer and represent the offset used in the rotation algorithm </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>return</code> is <code>true</code> if the algorithm was successful otherwise it's <code>false</code> </dd></dl>

</div>
</div>
<a id="a70e436427fb04708dc012399df850752"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70e436427fb04708dc012399df850752">&#9670;&nbsp;</a></span>encryptLine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int encryptLine </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>line</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Encrypts the string <code>line</code> through Caesar's rotation algorithm with an offset of 13. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>Should be a <code>char</code> array adress wich is ended by <code>\0</code> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>return</code> is <code>true</code> if the algorithm was successful otherwise it's <code>false</code> </dd></dl>

</div>
</div>
<a id="a00960bfad8fdf39c819a12c276558177"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00960bfad8fdf39c819a12c276558177">&#9670;&nbsp;</a></span>encryptLineSpec()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int encryptLineSpec </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>spec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Encrypts the string <code>line</code> through Caesar's rotation algorithm with an offset of <code>spec</code>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>Should be a <code>char</code> array adress wich is ended by <code>\0</code> </td></tr>
    <tr><td class="paramname">spec</td><td>Should be an integer and represent the offset used in the rotation algorithm </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>return</code> is <code>true</code> if the algorithm was successful otherwise it's <code>false</code> </dd></dl>

</div>
</div>
<a id="a1a3636bb4e7e4481e371f5b6ab40e6f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a3636bb4e7e4481e371f5b6ab40e6f6">&#9670;&nbsp;</a></span>LUT()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char** LUT </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
